Printago API
PATCH /v1/orders/batch/reopen

Batch reopen orders

Requires: order.edit

Request Body

Order IDs to reopen

RequestBody
orderIdsrequired
string[]

Example Request

application/json
{
  "orderIds": [
    "string"
  ]
}

Response Schema

Response
errorsrequired
object[]
errorrequired
string
orderIdrequired
string
reopenedrequired
object[]
cancelledAtoptionalnullable
string
createdAtrequired
string
format: date-time
currencyoptionalnullable
string
customerIdoptionalnullable
string
pattern: ^[a-z0-9]{24}$
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
deadlineoptionalnullable
string
externalIdoptionalnullable
string
externalUrloptionalnullable
string
idrequired
string
pattern: ^[a-z0-9]{24}$
integrationIdoptionalnullable
string
pattern: ^[a-z0-9]{24}$
noteoptionalnullable
string
orderNumberrequired
string
priceoptionalnullable
number
priceBucketoptionalnullable
number
processedAtoptionalnullable
string
shippedAtoptionalnullable
string
sourceoptionalnullable
enum
etsyshopifymanualebaytiktok-shopwoocommerceshipstationwix
sourceRefoptionalnullable
string
statusrequired
"open" | "closed"
openclosed
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
syncDisabledrequired
boolean
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "reopened": [
    {
      "orderNumber": "string",
      "source": "etsy",
      "status": "open",
      "cancelledAt": "2025-01-15T12:00:00.000Z",
      "shippedAt": "2025-01-15T12:00:00.000Z",
      "customerId": "string",
      "integrationId": "string",
      "priceBucket": 1,
      "price": 1,
      "currency": "string",
      "externalId": "string",
      "externalUrl": "string",
      "sourceRef": "string",
      "note": "string",
      "deadline": "2025-01-15T12:00:00.000Z",
      "processedAt": "2025-01-15T12:00:00.000Z",
      "syncDisabled": true,
      "customMetadata": {},
      "id": "string",
      "storeId": "string",
      "createdAt": "2025-01-15T12:00:00.000Z",
      "updatedAt": "2025-01-15T12:00:00.000Z"
    }
  ],
  "errors": [
    {
      "orderId": "string",
      "error": "string"
    }
  ]
}